## org.hibernate.bytecode.cglib
Class ProxyFactoryFactoryImpl.BasicProxyFactoryImpl

    java.lang.Object
      org.hibernate.bytecode.cglib.ProxyFactoryFactoryImpl.BasicProxyFactoryImpl

All Implemented Interfaces:
  BasicProxyFactory

Enclosing class:
  ProxyFactoryFactoryImpl

    public static class ProxyFactoryFactoryImpl.BasicProxyFactoryImpl

extends Object
implements BasicProxyFactory

Constructor Summary
`ProxyFactoryFactoryImpl.BasicProxyFactoryImpl(Class superClass, Class[] interfaces)`

Method Summary
`Object` `getProxy()` Get a proxy reference.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyFactoryFactoryImpl.BasicProxyFactoryImpl

    public ProxyFactoryFactoryImpl.BasicProxyFactoryImpl(Class superClass,
                                                         Class[] interfaces)

Method Detail

### getProxy

    public Object getProxy()

  Description copied from interface: `BasicProxyFactory`
  Get a proxy reference.

  Specified by:
    `getProxy` in interface `BasicProxyFactory`
  Returns:
    A proxy reference.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.